API Reference
Bloomx is API-first. Every action available in the UI is accessible via these REST endpoints.
Base URL:
Authentication: Cookie-based (NextAuth) or Bearer Token (Coming Soon for external apps).
/apiAuthentication: Cookie-based (NextAuth) or Bearer Token (Coming Soon for external apps).
Email Operations
GET
/emailsList emails with pagination and filtering.Query Parameters
folder(string)– Folder ID (e.g. INBOX, SENT)page(number)– Page number (0-indexed)q(string)– Search query
GET
/emails/[id]Retrieve full content of a specific email, including HTML body and attachments.POST
/emails/sendSend a new email.Request Body (JSON)
to(string[])– Recipientssubject(string)– Email subjecthtml(string)– HTML content
PATCH
/emails/batchBatch update emails (mark read, archive, delete).Request Body (JSON)
ids(string[])– List of Email IDsaction(read | unread | archive | trash)– Action to perform
Drafts & Composition
GET
/draftsList all current user drafts.POST
/draftsCreate or update a draft.System & Expansions
GET
/settingsRetrieve encrypted user settings and expansion configs.POST
/expansionsTrigger a server-side expansion action (e.g. Save to Notion).Query Parameters
trigger(string)– Action ID (e.g. save_to_notion)